/* HEADER START */
header{
    /* HERO START */
    .hero{
        height: calc(100vh - 70px);
        margin-top: 70px;
        padding: 1px 70px 0px ;
        background-image: url(./../img/hero-bg.png);
        display: flex;
        justify-content: space-between;
            .hero-text{
                max-width: 484px;
                margin-top:104px ;
                    h1{
                        font-family: 'Exo';
                        font-weight: 600;
                        font-size: 48px;
                        margin-bottom: 24px;
                    }
                    p{
                        font-family: 'Jost';
                        font-size: 18px;
                        margin-bottom: 20px;
                        color: var(--sec-text);
                    }
            }
            .girl{
                height: 100%;
                width: 100%;
                background-image: url(./../img/hero-girl.png);
                background-repeat: no-repeat;
                background-position: bottom center;
            }
    }
    /* HERO END */
}
/* HEADER END */

/* MAIN START */
main{
    padding: 0px 70px;
    /* CATEGORIES SECTION START */
    .categories{
        padding: 56px 0px 70px;
            .head{
                display: flex;
                align-items: center;
                justify-content: space-between;
                margin-bottom: 50px;
                .title{
                    h1{
                        font-family: 'Exo';
                        font-weight: 600;
                        font-size: 32px;
                    }
                    p{
                        font-family: 'Jost';
                        font-size: 18px;
                        color: var(--sec-text);
                    }
                }
                button{
                    color: #000;
                    width: 161px;
                    font-family: 'Jost';
                    font-weight: 500;
                    font-size: 18px;
                }
            }
            .container{
                display: grid;
                grid-template-columns: repeat(auto-fit, minmax(234px, 1fr));
                grid-template-rows: repeat(2, 234px);
                gap:31px;
                padding: 0px 40px;
                .cards{
                        &:hover{
                            box-shadow: 0px 4px 20px 0px #0000001A;
                            transition: all 0.4s linear;
                            margin-bottom:38px ;
                            color: var(--primary-color);
                            transform: translateY(-10px); 
                        }
                        width: 234px !important;
                        height: 234px !important;
                        border-radius: 20px;
                        border: 1px solid var(--border-color);
                        display: flex;
                        flex-direction: column;
                        align-items: center;
                        justify-content: center;
                        gap: 12px;
                        cursor: pointer;
                        img{
                            width: 32px;
                            height: 32px;
                            margin-bottom: 12px;
                        }
                        h2{
                            font-family: 'Exo';
                            font-weight: 600;
                            font-size: 20px;
                            margin: 0px;
                        }
                        p{
                            font-family: 'Jost';
                            font-weight: 400;
                            font-size: 18px;
                            color: var(--sec-text);
                            margin: 0px;
                        }
                    }
            }
            .bottom-btn{
                display: none;
            }
    }
    /* CATEGORIES SECTION END */

    /* COURSES SECTION START */
    .courses{
                padding: 56px 0px 70px;
            .head{
                display: flex;
                align-items: center;
                justify-content: space-between;
                margin-bottom: 50px;
                .title{
                    h1{
                        font-family: 'Exo';
                        font-weight: 600;
                        font-size: 32px;
                    }
                    p{
                        font-family: 'Jost';
                        font-size: 18px;
                        color: var(--sec-text);
                    }
                }
                button{
                    color: #000;
                    width: 161px;
                    font-family: 'Jost';
                    font-weight: 500;
                    font-size: 18px;
                }
            }
            .content{
                display: flex;
                gap: 35px;
                    .card{
                        width:385px !important;
                        border-radius: 20px;
                        border: 1px solid var(--border-color);
                        img{
                            border-radius: 20px 20px 0px 0px;
                            position: relative;
                        }
                        h3{
                            position: absolute;
                            top: 3%;
                            left: 6%;
                            font-family: 'Jost';
                            font-weight: 500;
                            font-size: 16px;
                            border-radius: 8px;
                            padding: 8px 12px;
                            background-color: #000000;
                            color: #fff;
                            cursor: default;
                        }
                        .card-body{
                            p{
                                font-family: 'Jost';
                                font-size: 16px;
                                margin-bottom: 8px;
                                span{
                                    color: var(--sec-text);
                                }
                            }
                            h2.card-title{
                                font-family: 'Exo';
                                font-weight: 600;
                                font-size: 20px;
                                max-width: 263px;
                            }
                            .details{
                                display: flex;
                                gap: 24px;
                                align-items: center;
                                border-bottom: 1px solid var(--border-color);
                                padding-bottom: 16px;
                                    .time,.students{
                                        display: flex;
                                        gap:4px ;
                                        align-items: center;
                                            p{
                                                font-family: 'Jost';
                                                font-size: 16px;
                                                color: var(--sec-text);
                                                margin: 0px;
                                            }
                                    }
                            }
                            .course-info{
                                display: flex;
                                justify-content: space-between;
                                align-items: center;
                                padding-top: 16px;
                                    .price{
                                        display: flex;
                                        gap: 8px;
                                        align-items: center;
                                        
                                            p{
                                                font-family: 'Jost';
                                                font-size: 18px;
                                                color: var(--third-text-color);
                                                margin: 0px;
                                                text-decoration: line-through;
                                            }
                                            h4{
                                                font-family: 'Jost';
                                                font-weight: 500;
                                                font-size: 18px;
                                                color: #55BE24;
                                                margin: 0px;
                                            }
                                    }
                                    a{
                                        font-family: 'Jost';
                                        font-weight: 500;
                                        font-size: 18px;
                                        text-decoration: none;
                                        color: #000;
                                    }
                            }
                        }
                    }
            }
            .bottom-btn{
                display: none;
            }
    }
    /* COURSES SECTION END */

    /* LEARNPRESS SECTION START */
    .learnpress{
        background-image: url(./../img/bg-2.png);
        border-radius: 20px;
        padding: 55px 50px;
        width: 100%;
        h2{
            font-family: 'Exo';
            font-weight: 600;
            font-size: 16px;
            color: var(--sec-text);
        }
        h1{
            font-family: 'Exo';
            font-weight: 600;
            font-size: 32px;
            margin-bottom: 20px;
        }
        p{
            font-family: 'Jost';
            font-size: 18px;
            color: var(--sec-text);
            margin-bottom: 20px;
            width: 100% !important;
        }
        button.main-btn.primary-btn{
            font-size: 18px;
            width: 180px;
        }
    }
    /* LEARNPRESS SECTION END */

    /* INFORMATION SECTION START */
    .information{
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 20px;
        padding: 70px 0px;
            .cards{
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;
                background-color: var(--sec-bg-color);
                border-radius: 20px;
                width: 284px;
                height: 161px;
                padding: 40px 0px;
                span{
                    color: var(--primary-color);
                    font-family: 'Exo';
                    font-weight: 600;
                    font-size: 32px;
                }
                h1{
                    font-family: 'Jost';
                    font-weight: 500;
                    font-size: 18px;
                }
            }
    }
    /* INFORMATION SECTION END */

    /* GROW YOUR SKILL SECTION START */
    .grow-your-skill{
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 20px;
        margin-bottom: 70px;
        img{
            height: 469px;
        }
            .text{
                width: 520px;
                h1{
                    max-width: 348px;
                    font-family: 'Exo';
                    font-weight: 600;
                    font-size: 32px;
                    margin-bottom: 24px;
                }
                p{
                    font-family: 'Jost';
                    font-size: 18px;
                    color: var(--sec-text);
                    margin-bottom: 16px;
                }
                .certification{
                    display: flex;
                    gap: 8px;
                    margin-bottom: 12px;
                    .check{
                        color: #55BE24;
                        font-weight: 300;
                    }
                    h2{
                        font-family: 'Jost';
                        font-size: 18px;
                    }
                }
                button.main-btn.primary-btn{
                    font-size: 16px;
                }
            }
    }
    /* GROW YOUR SKILL SECTION END */

    /* LETS START SECTION START */
    .lets-start{
        padding: 65px 18px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        background-image: url(./../img/bg-1.png);
        border-radius: 12px;
        margin-bottom: 70px;
        .text{
            display: flex;
            align-items: center;
            gap: 32px;
                div{
                    width: 120px;
                    height: 120px;
                    padding: 24px 30px;
                    background-color: #fff;
                    border-radius: 50%;
                }
                h1{
                    font-family: 'Exo';
                    font-weight: 600;
                    font-size: 20px;
                }
        }
        .btns{
            display: flex;
            align-items: center;
            gap:20px ;
            button.third-btn{
                &:hover{
                    background-color: var(--primary-color);
                    color: #fff;
                    transition: all 0.4s linear;
                }
                border:2px solid var(--primary-color) ;
                color: var(--primary-color);
                background: none;
            }
            button.main-btn.primary-btn{
                width: 219px;
            }
        }
    }
    /* LETS START SECTION END */
}
/* MAIN END */

/* MEDIA QUERY START */
@media screen and (max-width:992px) {
    /* HEADER START */
    header{
        /* HERO START */
        .hero{
            padding: 1px 20px;
            justify-content: center;
            .hero-text{
                max-width: 300px;
                text-align: center;
                    h1{
                        font-size: 32px;
                    }
                }
            .girl{
                display: none;
            }
        }
        /* HERO END */
    }
    /* HEADER END */

    /* MAIN START */
    main{
        padding: 0px;
        .categories{
            padding: 56px 20px;
            .head{
                justify-content: center;
                button.main-btn.sec-btn{
                    display: none;
                }
            }
            .container{
                justify-items: center;
                .cards{
                    &:hover{
                        box-shadow:0px;
                        margin-bottom: 0px;
                        transform:none;
                    }
                }
            }
            .bottom-btn{
                display: flex;
                justify-content: center;
                align-items: center;
                    button.main-btn.sec-btn{
                        color: #000;
                        border: 2px solid var(--third-text-color);
                        margin-top: 24px;
                    }
            }
        }
        .courses{
            padding: 56px 20px;
            .head{
                justify-content: center;
                button.main-btn.sec-btn{
                    display: none;
                }
            }
            .content{
                flex-wrap: wrap;
                .card{
                    width: 100% !important;
                    h3{
                        width: 114px;
                        height: 40px;
                        top: 5%;
                        left: 5%;
                    }
                }
            }
            .bottom-btn{
                display: flex;
                justify-content: center;
                align-items: center;
                    button.main-btn.sec-btn{
                        color: #000;
                        border: 2px solid var(--third-text-color);
                        margin-top: 35px;
                        width:139px ;
                        font-size: 18px;
                    }
            }
        }
        .learnpress{
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            padding: 79px 20px;
            border-radius: 0px;
            background-image: none;
            background: linear-gradient(103.63deg, #B5FFE7 1.83%, #FDC1C1 98.92%);
                p{
                    width: 340px;
                    text-align: center;
                }
        }
        .information {
            flex-wrap: wrap;
            justify-content: center;
            padding: 70px 38px;
        }
        .grow-your-skill{
            padding: 70px 20px;
            flex-wrap: wrap;
            flex-direction: column-reverse;
            align-items: start;
            img{
                width: 100%;
                height: auto;
            }
            .text{
                width: 100% !important;
                /* p{
                    width: 100%;
                } */
            }
        }
        .lets-start{
            flex-direction: column;
            justify-content: center;
            border-radius: 0px;
            gap: 24px;
                .text{
                    flex-direction: column;
                    gap: 16px;
                    div{
                        width: 80px;
                        height: 80px;
                        padding: 18px 21px;
                        img{
                            width: 39px;
                            height: 45px;
                        }
                    }
                }
                .btns{
                    flex-direction: column;
                }
        }
    }
    /* MAIN END */
}
/* MESIA QUERY END */